require 'phi'

form = Phi::Form.new(:form1, 'form‚Ĺ‚·')
button = Phi::Button.new(form, :button1, 'hoge')
button.on_click = proc do
  t = Time.now.to_s
  print t, "\r\n"
  button.caption = t
end
form.show
Phi.mainloop
